Package org.springframework.security.core.session

# Interface ReactiveSessionRegistry

All Known Implementing Classes:
  `InMemoryReactiveSessionRegistry`

public interface ReactiveSessionRegistry
Maintains a registry of `ReactiveSessionInformation` instances.

Since:
  6.3

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<ReactiveSessionInformation>`
`getAllSessions(Object principal)`
Gets all the known `ReactiveSessionInformation` instances for the specified principal.
`reactor.core.publisher.Mono<ReactiveSessionInformation>`
`getSessionInformation(String sessionId)`
Gets the `ReactiveSessionInformation` for the specified session identifier.
`reactor.core.publisher.Mono<ReactiveSessionInformation>`
`removeSessionInformation(String sessionId)`
Removes the specified session from the registry.
`reactor.core.publisher.Mono<Void>`
`saveSessionInformation(ReactiveSessionInformation information)`
Saves the `ReactiveSessionInformation`
`reactor.core.publisher.Mono<ReactiveSessionInformation>`
`updateLastAccessTime(String sessionId)`
Updates the last accessed time of the `ReactiveSessionInformation`

## Method Details

### getAllSessions

reactor.core.publisher.Flux<ReactiveSessionInformation> getAllSessions(Object principal)
Gets all the known `ReactiveSessionInformation` instances for the specified principal.

Parameters:
  `principal` - the principal
Returns:
  the `ReactiveSessionInformation` instances associated with the principal

### saveSessionInformation

reactor.core.publisher.Mono<Void> saveSessionInformation(ReactiveSessionInformation information)
Saves the `ReactiveSessionInformation`

Parameters:
  `information` - the `ReactiveSessionInformation` to save
Returns:
  a `Mono` that completes when the session is saved

### getSessionInformation

reactor.core.publisher.Mono<ReactiveSessionInformation> getSessionInformation(String sessionId)
Gets the `ReactiveSessionInformation` for the specified session identifier.

Parameters:
  `sessionId` - the session identifier
Returns:
  the `ReactiveSessionInformation` for the session.

### removeSessionInformation

reactor.core.publisher.Mono<ReactiveSessionInformation> removeSessionInformation(String sessionId)
Removes the specified session from the registry.

Parameters:
  `sessionId` - the session identifier
Returns:
  a `Mono` that completes when the session is removed

### updateLastAccessTime

reactor.core.publisher.Mono<ReactiveSessionInformation> updateLastAccessTime(String sessionId)
Updates the last accessed time of the `ReactiveSessionInformation`

Parameters:
  `sessionId` - the session identifier
Returns:
  a `Mono` that completes when the session is updated